Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.datatypes
Class AttachmentChunks

    java.lang.Object
      org.apache.poi.hsmf.datatypes.AttachmentChunks

All Implemented Interfaces:
  ChunkGroup

    public class AttachmentChunks

extends java.lang.Object
implements ChunkGroup

Collection of convenence chunks for standard parts of the MSG file attachment.

Nested Class Summary
`static class` | `AttachmentChunks.AttachmentChunksSorter` Orders by the attachment number.

Field Summary
`static int` | `ATTACH_DATA`
`static int` | `ATTACH_EXTENSION`
`static int` | `ATTACH_FILENAME`
`static int` | `ATTACH_LONG_FILENAME`
`static int` | `ATTACH_MIME_TAG`
`static int` | `ATTACH_RENDERING_WMF`
`ByteChunk` | `attachData`
`StringChunk` | `attachExtension`
`StringChunk` | `attachFileName`
`StringChunk` | `attachLongFileName`
`DirectoryChunk` | `attachmentDirectory`
`StringChunk` | `attachMimeTag`
`ByteChunk` | `attachRenderingWMF` This is in WMF Format.
`static java.lang.String` | `PREFIX`

Constructor Summary
`AttachmentChunks(java.lang.String poifsName)`

Method Summary
`Chunk[]` | `getAll()`
`Chunk[]` | `getChunks()` Returns the chunks that make up the group.
`java.lang.String` | `getPOIFSName()`
`void` | `record(Chunk chunk)` Called by the parser whenever a chunk is found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### ATTACH_DATA

    public static final int ATTACH_DATA

See Also:
  Constant Field Values

### ATTACH_EXTENSION

    public static final int ATTACH_EXTENSION

See Also:
  Constant Field Values

### ATTACH_FILENAME

    public static final int ATTACH_FILENAME

See Also:
  Constant Field Values

### ATTACH_LONG_FILENAME

    public static final int ATTACH_LONG_FILENAME

See Also:
  Constant Field Values

### ATTACH_RENDERING_WMF

    public static final int ATTACH_RENDERING_WMF

See Also:
  Constant Field Values

### ATTACH_MIME_TAG

    public static final int ATTACH_MIME_TAG

See Also:
  Constant Field Values

### attachData

    public ByteChunk attachData

### attachExtension

    public StringChunk attachExtension

### attachFileName

    public StringChunk attachFileName

### attachLongFileName

    public StringChunk attachLongFileName

### attachMimeTag

    public StringChunk attachMimeTag

### attachmentDirectory

    public DirectoryChunk attachmentDirectory

### attachRenderingWMF

    public ByteChunk attachRenderingWMF

  This is in WMF Format. You'll probably want to pass it to Apache Batik to turn it into a SVG that you can then display.

Constructor Detail

### AttachmentChunks

    public AttachmentChunks(java.lang.String poifsName)

Method Detail

### getAll

    public Chunk[] getAll()

### getChunks

    public Chunk[] getChunks()

  Description copied from interface: `ChunkGroup`
  Returns the chunks that make up the group. Should certainly contain all the interesting Chunks, but needn't always contain all of the Chunks.

  Specified by:
    `getChunks` in interface `ChunkGroup`

### getPOIFSName

    public java.lang.String getPOIFSName()

### record

    public void record(Chunk chunk)

  Called by the parser whenever a chunk is found.

  Specified by:
    `record` in interface `ChunkGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.